Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members

# RTCORBA::ClientProtocolPolicy Interface Reference

`#include <RTCORBAC.h>`

Inheritance diagram for RTCORBA::ClientProtocolPolicy:

[legend]
Collaboration diagram for RTCORBA::ClientProtocolPolicy:

[legend]
List of all members.

## Public Types
typedef ClientProtocolPolicy_ptr | _ptr_type
typedef ClientProtocolPolicy_var | _var_type
## Public Methods
virtual::RTCORBA::ProtocolList * | protocols (ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS)=0 throw ( CORBA::SystemException )
virtual void * | _tao_QueryInterface (ptr_arith_t type)
virtual const char * | _interface_repository_id (void) const
## Static Public Methods
ClientProtocolPolicy_ptr | _duplicate (ClientProtocolPolicy_ptr obj)
ClientProtocolPolicy_ptr | _narrow (CORBA::Object_ptr obj ACE_ENV_ARG_DECL_WITH_DEFAULTS)
ClientProtocolPolicy_ptr | _unchecked_narrow (CORBA::Object_ptr obj ACE_ENV_ARG_DECL_WITH_DEFAULTS)
ClientProtocolPolicy_ptr | _nil (void)
## Public Attributes
readonly attribute ProtocolList | protocols
## Static Public Attributes
int | _tao_class_id
## Protected Methods
| ClientProtocolPolicy (void)
virtual | ~ClientProtocolPolicy (void)
## Private Methods
| ClientProtocolPolicy (const ClientProtocolPolicy &)
void | operator= (const ClientProtocolPolicy &)

## Member Typedef Documentation

typedef ClientProtocolPolicy_ptr RTCORBA::ClientProtocolPolicy::_ptr_type

| Reimplemented from CORBA::Policy.

typedef ClientProtocolPolicy_var RTCORBA::ClientProtocolPolicy::_var_type

| Reimplemented from CORBA::Policy.

## Constructor & Destructor Documentation

RTCORBA::ClientProtocolPolicy::ClientProtocolPolicy | ( | void |  | ) | `[protected]`

virtual RTCORBA::ClientProtocolPolicy::~ClientProtocolPolicy | ( | void |  | ) | `[protected, virtual]`

RTCORBA::ClientProtocolPolicy::ClientProtocolPolicy | ( | const ClientProtocolPolicy & |  | ) | `[private]`

## Member Function Documentation

ClientProtocolPolicy_ptr RTCORBA::ClientProtocolPolicy::_duplicate | ( | ClientProtocolPolicy_ptr | obj | ) | `[static]`

virtual const char* RTCORBA::ClientProtocolPolicy::_interface_repository_id | ( | void |  | ) | const`[virtual]`

| Reimplemented from CORBA::Policy.

ClientProtocolPolicy_ptr RTCORBA::ClientProtocolPolicy::_narrow | ( | CORBA::Object_ptr obj | ACE_ENV_ARG_DECL_WITH_DEFAULTS | ) | `[static]`

| Reimplemented from CORBA::Policy.

ClientProtocolPolicy_ptr RTCORBA::ClientProtocolPolicy::_nil | ( | void |  | ) | `[inline, static]`

| Reimplemented from CORBA::Policy.

virtual void* RTCORBA::ClientProtocolPolicy::_tao_QueryInterface | ( | ptr_arith_t | type | ) | `[virtual]`

| Reimplemented from CORBA::Policy.

ClientProtocolPolicy_ptr RTCORBA::ClientProtocolPolicy::_unchecked_narrow | ( | CORBA::Object_ptr obj | ACE_ENV_ARG_DECL_WITH_DEFAULTS | ) | `[static]`

| Reimplemented from CORBA::Policy.

void RTCORBA::ClientProtocolPolicy::operator= | ( | const ClientProtocolPolicy & |  | ) | `[private]`

virtual ::RTCORBA::ProtocolList* RTCORBA::ClientProtocolPolicy::protocols | ( | ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS |  | ) | throw ( CORBA::SystemException )`[pure virtual]`

| Reimplemented in TAO_ClientProtocolPolicy.

## Member Data Documentation

int RTCORBA::ClientProtocolPolicy::_tao_class_id`[static]`

| Reimplemented from CORBA::Policy.

readonly attribute ProtocolList RTCORBA::ClientProtocolPolicy::protocols

The documentation for this interface was generated from the following files:

- RTCORBA.pidl
- RTCORBAC.h